Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.installer
Class eInsightESBOtdLibInstaller

    java.lang.Object
      com.stc.swift.installer.eInsightESBOtdLibInstaller

Direct Known Subclasses:
  AuxLibInstaller, eGateOtdLibInstaller

    public class eInsightESBOtdLibInstaller

extends java.lang.Object

eInsightESBOtdLibInstaller installs an OTD Library into the SeeBeyond Repository. Each OTD is stored as a SwiftObjectTypeDefinition The OTDs are referenced in a Project called OTDs with the Project path defined by the directory path in the SAR file.

Version:
  $Revision: 1.8 $

Field Summary
`static java.lang.String` | `COLLAB_MESSAGE_INPUT`
`static java.lang.String` | `COLLAB_MESSAGE_OUTPUT`
`static java.lang.String` | `COLLAB_WSDL_PORTTYPE`
`static java.lang.String` | `COLLAB_WSDL_TNS_PREFIX`
`static java.lang.String` | `COLON`
`static java.lang.String` | `JAVA_EXCEPTION_MESSAGE`
`static java.lang.String` | `JAVA_EXCEPTION_MESSAGE_NAME`
`static java.lang.String` | `JAVA_EXCEPTION_STACKTRACE`
`static java.lang.String` | `JAVA_EXCEPTION_TYPE`
`static java.lang.String` | `JAVA_FAULT_NAME`
`static java.lang.String` | `XSD_STRING_TYPE`

Constructor Summary
`eInsightESBOtdLibInstaller()`

Method Summary
`java.lang.String` | `calculateOTDNameFromCollabName(java.lang.String collabName)`
`void` | `createWSDLObject(com.stc.model.common.ObjectTypeDefinition otd, com.stc.otd.forest.OtdMetaContainer otdMeta)`
`void` | `execute(com.stc.repository.Repository repository, java.io.File base, java.lang.String url, java.lang.String userName, java.lang.String password)`
`void` | `installValidationCollabs(java.io.File[] collabs)` Generates a collaboration and installs it in the repository.
`java.util.ArrayList` | `retrieveCollabOTDNames(java.io.File[] collabs)`
`void` | `setPassword(java.lang.String password)`
`void` | `setRepURL(java.lang.String url)`
`void` | `setUserName(java.lang.String userName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLLAB_MESSAGE_INPUT

    public static final java.lang.String COLLAB_MESSAGE_INPUT

See Also:
  Constant Field Values

### COLLAB_MESSAGE_OUTPUT

    public static final java.lang.String COLLAB_MESSAGE_OUTPUT

See Also:
  Constant Field Values

### COLLAB_WSDL_TNS_PREFIX

    public static final java.lang.String COLLAB_WSDL_TNS_PREFIX

See Also:
  Constant Field Values

### COLON

    public static final java.lang.String COLON

See Also:
  Constant Field Values

### COLLAB_WSDL_PORTTYPE

    public static final java.lang.String COLLAB_WSDL_PORTTYPE

See Also:
  Constant Field Values

### JAVA_EXCEPTION_MESSAGE_NAME

    public static final java.lang.String JAVA_EXCEPTION_MESSAGE_NAME

See Also:
  Constant Field Values

### JAVA_FAULT_NAME

    public static final java.lang.String JAVA_FAULT_NAME

See Also:
  Constant Field Values

### JAVA_EXCEPTION_TYPE

    public static final java.lang.String JAVA_EXCEPTION_TYPE

See Also:
  Constant Field Values

### JAVA_EXCEPTION_MESSAGE

    public static final java.lang.String JAVA_EXCEPTION_MESSAGE

See Also:
  Constant Field Values

### JAVA_EXCEPTION_STACKTRACE

    public static final java.lang.String JAVA_EXCEPTION_STACKTRACE

See Also:
  Constant Field Values

### XSD_STRING_TYPE

    public static final java.lang.String XSD_STRING_TYPE

See Also:
  Constant Field Values

Constructor Detail

### eInsightESBOtdLibInstaller

    public eInsightESBOtdLibInstaller()

Method Detail

### setPassword

    public void setPassword(java.lang.String password)

### setUserName

    public void setUserName(java.lang.String userName)

### setRepURL

    public void setRepURL(java.lang.String url)

### execute

    public void execute(com.stc.repository.Repository repository,
                        java.io.File base,
                        java.lang.String url,
                        java.lang.String userName,
                        java.lang.String password)
                 throws BuildException

  Throws:
    `BuildException`

### installValidationCollabs

    public void installValidationCollabs(java.io.File[] collabs)
                                  throws java.lang.Exception

  Generates a collaboration and installs it in the repository. The collaboration uses the JMS OTD as the input parameter and a SWIFT OTD as the output parameter.

  Parameters:
    `collabs` - an array of files representing the collaboration
  Throws:
    `java.lang.Exception`

### createWSDLObject

    public void createWSDLObject(com.stc.model.common.ObjectTypeDefinition otd,
                                 com.stc.otd.forest.OtdMetaContainer otdMeta)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### retrieveCollabOTDNames

    public java.util.ArrayList retrieveCollabOTDNames(java.io.File[] collabs)
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### calculateOTDNameFromCollabName

    public java.lang.String calculateOTDNameFromCollabName(java.lang.String collabName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.